//-------------------------------------------------------------------------------------------------------
//
// Module.h
//
//-------------------------------------------------------------------------------------------------------


//-------------------------------------------------------------------------------------------------------
// Stromstoschalter

extern void F_Stromstoss_ein(uint8_t Ausgang);
extern void F_Stromstoss_aus(uint8_t Ausgang);


//-------------------------------------------------------------------------------------------------------
// Timer

extern void F_Timer(void);
extern void F_Timer_starten(uint8_t T_Nr, uint8_t T_St, uint8_t T_Mi, uint8_t T_Se, uint8_t T_10, uint8_t T_Ta, uint8_t T_Mo, uint8_t T_Ja);
extern void F_Timer_stopp(uint8_t T_Nr);


//-------------------------------------------------------------------------------------------------------
// Rollo

extern void F_Rollo_init(void);

extern void F_Rollo_ab(uint8_t Nr);
extern void F_Rollo_auf(uint8_t Nr);
extern void F_Rollo_stopp(uint8_t Nr);

extern void F_Rollo_Pos(uint8_t Nr, uint8_t Position);

extern void F_Rollo(void);


//-------------------------------------------------------------------------------------------------------
// Dimmer

extern void F_Dimmer_init(void);
extern void F_Dimmer_Soll(uint8_t Dimmer_Nr, uint8_t Sollwert);


//-------------------------------------------------------------------------------------------------------
// Led Modul ansteuern

void F_Led_Soll(uint8_t Modul, uint8_t Modus, uint8_t Info_1, uint8_t Info_2, uint8_t Info_3, uint8_t Info_4);