//-------------------------------------------------------------------------------------------------------
//
// I2C Echtzeituhr - DS1307 - Header
//
//-------------------------------------------------------------------------------------------------------


#ifndef _Uhr_H
#define _Uhr_H

//-------------------------------------------------------------------------------------------------------
// globale Variablen

volatile unsigned long time;
volatile unsigned long  stack_watchdog;



//-------------------------------------------------------------------------------------------------------
// Funktionsprototypen

ISR(TIMER1_OVF_vect);			// Uhrzeittimer 10ms
ISR(INT1_vect);					// I2C Uhr Takt 1Hz
void F_Uhr_init(void);			// Uhr initialisieren
void F_Uhr_stellen(void);		// Echtzeituhr stellen
void F_Uhr_lesen(void);			// Uhrzeit und Datum auslesen


#endif // _Uhr_H