/*----------------------------------------------------------------------------
 Copyright:      Radig Ulrich  mailto: mail@ulrichradig.de
 Author:         Radig Ulrich
 Remarks:        
 known Problems: none
 Version:        02.12.2007
 Description:    empfangene UDP Daten auf Port 7600 werden weiter verarbeitet

 Dieses Programm ist freie Software. Sie knnen es unter den Bedingungen der 
 GNU General Public License, wie von der Free Software Foundation verffentlicht, 
 weitergeben und/oder modifizieren, entweder gem Version 2 der Lizenz oder 
 (nach Ihrer Option) jeder spteren Version. 

 Die Verffentlichung dieses Programms erfolgt in der Hoffnung, 
 da es Ihnen von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE, 
 sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT 
 FR EINEN BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License. 

 Sie sollten eine Kopie der GNU General Public License zusammen mit diesem 
 Programm erhalten haben. 
 Falls nicht, schreiben Sie an die Free Software Foundation, 
 Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA. 
------------------------------------------------------------------------------*/
#ifndef _UDPCLIENT_H
	#define _UDPCLIENT_H

	#define UDP_PORT		7600

	void udp_init(void);
	void udp_get(unsigned char);
	
	uint8_t F_ChartoInt (unsigned char Hunderter, unsigned char Zehner, unsigned char Einer);  // Char->Int
	uint8_t F_InttoChar_Hunderter (uint8_t Wert);	// Konvertierung Integer in Char-Zeichen (Hunderterstelle)
	uint8_t F_InttoChar_Zehner (uint8_t Wert);		// Konvertierung Integer in Char-Zeichen (Zehnerstelle)
	uint8_t F_InttoChar_Einer (uint8_t Wert);		// Konvertierung Integer in Char-Zeichen (Einerstelle)
	
#endif
